Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#601 Le 24/08/2007, à 12:27

AuraHxC

Re : Compiz-Fusion (ex installation Compcomm)

Donc faut que je télécharge tous les fichiers qui commence par fusion/ ??
Et y a t'il un ordre au niveau de la compilation ??

Hors ligne

#602 Le 24/08/2007, à 18:19

holodad

Re : Compiz-Fusion (ex installation Compcomm)

AuraHxC a écrit :

Donc faut que je télécharge tous les fichiers qui commence par fusion/ ??
Et y a t'il un ordre au niveau de la compilation ??

Voici ce que je te conseille au niveau de l'installation. Les liens pointent directement sur les bonnes versions ainsi que l'ordre a respecter.

1-Installes cette version de compiz 0.5.2 First release:
http://gitweb.opencompositing.org/?p=compiz;a=snapshot;h=65ccbbd18c5028c610042dd552eec0de3a41bde8

2-Installes cette version du bcop 0.5.2:
http://gitweb.opencompositing.org/?p=fusion/libraries/bcop;a=snapshot;h=09543be06f21ed318b3b3ae79b42ad439d865f7b

3- Installes cette version de libcompizconfig:
http://gitweb.opencompositing.org/?p=fusion/compizconfig/libcompizconfig;a=snapshot;h=d7aed39abe75cc8f4de45e3d16eff8f8344e9fa9

4- Installes cette version de compizconfig-backend;gconf:
http://gitweb.opencompositing.org/?p=fusion/compizconfig/compizconfig-backend-gconf;a=snapshot;h=4bf472de6895f100dba2e1bb7b361f4223bb0fd1

5- Installes cette version de plugin-main:
http://gitweb.opencompositing.org/?p=fusion/plugins-main;a=snapshot;h=30001dd846b1f2484cad8b4b2a71e78f69ca14c8

6- Installes cette version de plugin-unsupported:
http://gitweb.opencompositing.org/?p=fusion/plugins-unsupported;a=snapshot;h=48a79279e920ffb45f35f9aa366dfd417221ffe8

7- Installes cette version de plugin-extra:
http://gitweb.opencompositing.org/?p=fusion/plugins-extra;a=snapshot;h=68f060f7cbd13abefe53ab52feccabb0f60f83c5

8- Installes cette version de ccsm
http://gitweb.opencompositing.org/?p=fusion/compizconfig/ccsm;a=snapshot;h=ebae5f07c27cc4c9f4cb94da5c0f7c94ede4bf72

Voila, la tu as l'essentiel fonctionnel. Il faut compiler tout ceci dans cette ordre. La plus part des packages s'installent via la commande suivante:
./autogen.sh --prefix=/usr/local --disable-kde && make && sudo make install

Pour finir, il te faut installer manuellement les plugins 3D, animations, workaround, cubecaps, bench, emerald, emerald themes, put, ring, shift, showdesktop, wall. Te peux prendre n'importe quel version de ces pkg. Ce sont pas eux les fautifs...
Pour installer ceux ci, il te faut simplement faire un make && sudo make install
Si tu as un pb pour compiler tout ceci, suis le tuto suivant car il me semble que la doc Ubuntu parle uniquement des dépots de Trevino qui se base sur les git bugé, donc sources de pb....
http://theglu.tuxfamily.org/wordpress/2007/06/

A+

Hors ligne

#603 Le 24/08/2007, à 21:35

AuraHxC

Re : Compiz-Fusion (ex installation Compcomm)

dans le tuto il y a cette commande au début : sudo apt-get build-dep compiz elle sert a quoi sachant que ca me renvoie :
nicolas@nicolas-laptop:~$ sudo apt-get build-dep compiz
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture de l'information d'état... Fait
E: Impossible de trouver une source de paquet pour compiz

Hors ligne

#604 Le 24/08/2007, à 21:59

holodad

Re : Compiz-Fusion (ex installation Compcomm)

Cette commande permet d'etre sur que tout le necessaire  a la compilation de CF est bien présent sur la machine.
Quel est ta version de Ubuntu?
As tu bien activé tous les dépots universe multiverse restricted etc..?.
Sinon, essaye quand meme et tu verras bien ce qui s'affichera si jamais qq chose venait a manquer pour que CF se compile correctement

Hors ligne

#605 Le 24/08/2007, à 22:04

AuraHxC

Re : Compiz-Fusion (ex installation Compcomm)

Ubuntu feisty => avec tous les dépôts logiquement.

Voilà mon sources.list pour le fun :

## DÉPÔTS OFFICIELS
deb http://fr.archive.ubuntu.com/ubuntu/ feisty main restricted universe multiverse
deb http://fr.archive.ubuntu.com/ubuntu/ feisty-security main restricted universe multiverse
deb http://fr.archive.ubuntu.com/ubuntu/ feisty-updates main restricted universe multiverse
#deb http://fr.archive.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse
#deb http://fr.archive.ubuntu.com/ubuntu/ feisty-proposed main restricted universe multiverse

## Commercial
deb http://archive.canonical.com/ feisty-commercial main

## MEDIBUNTU
deb http://fr.packages.medibuntu.org/ feisty free non-free
deb-src http://fr.packages.medibuntu.org/ feisty free non-free

##Trevino
deb http://download.tuxfamily.org/3v1deb feisty eyecandy
deb-src http://download.tuxfamily.org/3v1deb feisty eyecandy 
deb http://download.tuxfamily.org/3v1deb feisty 3v1n0 
deb-src http://download.tuxfamily.org/3v1deb feisty 3v1n0

##pidgin
deb http://falcon.landure.fr feisty pidgin
deb-src http://falcon.landure.fr feisty pidgin

##Dépôt codeblocks
deb http://apt.tt-solutions.com/ubuntu/ feisty main

##Dépôt E17
deb http://e17.dunnewind.net/ubuntu feisty e17

Hors ligne

#606 Le 24/08/2007, à 22:18

AuraHxC

Re : Compiz-Fusion (ex installation Compcomm)

Tiens une ptite question par rapport a ccsm => en fait ces tps ci avec les dépôts trevino, j'ai l'impression que c'est ccsm qui merde parce que j'ai beau cocher des plugins ou mettre des options à l'intérieur des plugins ca les gardes pas en compte et les active pas.
Donc je voulais savoir si y avait moyen de modifier depuis un fichier et si oui ou il se situe big_smile

Hors ligne

#607 Le 25/08/2007, à 02:23

m3ta-x

Re : Compiz-Fusion (ex installation Compcomm)

je susi le seul ou alors 3D ne fonctionne plus du tout? Si je le coche j'ai toujours pas l'effet 3D des fenetres et quand je relance ccsm, 3D est de nouveau décoché hmm

Hors ligne

#608 Le 25/08/2007, à 10:18

patrice.vallade

Re : Compiz-Fusion (ex installation Compcomm)

idem pour la 3d...


J'adore Linux mais je ne suis pas sectaire !
Core2Duo, nvidia 7300GT, compiz-fusion
eeepc: eee-ubuntu; 8.04 en poste loisirs
blog sur ma ville de Lognes: http://blog-lognes.com/

Hors ligne

#609 Le 25/08/2007, à 11:12

bishop

Re : Compiz-Fusion (ex installation Compcomm)

J'ai recompilé compiz-fusion (avec xcb) sous gutsy il y a quelques jours et compilé le plugin 3d aujourd'hui. Il est fonctionnel.

Mais je ne trouve plus comment régler l'épaisseur des fenêtres.
Quelqu'un à une idée ?
Merci.

Dernière modification par bishop (Le 25/08/2007, à 11:15)


Moteurs de recherche : PPA Personal Package Archives for Ubuntu, Dépôts Ubuntu Ubuntu Packages Search

Hors ligne

#610 Le 25/08/2007, à 12:46

Bensabin

Re : Compiz-Fusion (ex installation Compcomm)

Je viens d'effectuer la mise à jour aujourd'hui...
Et je suis assez surpris de voire que (chez moi)  pas mal de plugins ne fonctionnent plus, à savoir 3D Windows, Cube Caps, screen saver, l'initiate du plugin viewport switcher....
Enfin, j'ai l'impression que ccsm continue a se simplifier (ce qui est une bonne chose), mais j'ai peur que ce soit au détriment de certains plugins qui deviendraient moins paramétrable (ex: plus de raccourci pour lancer le screensaver, peut-être encore d'autres choses...)

Dernière modification par Bensabin (Le 25/08/2007, à 13:58)

Hors ligne

#611 Le 25/08/2007, à 13:09

AuraHxC

Re : Compiz-Fusion (ex installation Compcomm)

Pour moi c'est trop bien tout refonctionne depuis aujourd'hui big_smile
L'effet dogde, 3d etc...

En fait j'ai installé le paquet : libcompizconfig-backend-gconf et compiz-bcop (même si je pense pas que c'est ce paquet qui est changé grand chose mais plutôt libcompizconfig-backend-gconf).

Et là maintenant, quand j'active un plugin comme 3d, il est réellement activer et reste activé big_smile

Hors ligne

#612 Le 25/08/2007, à 14:47

holodad

Re : Compiz-Fusion (ex installation Compcomm)

Pour etre clair. Les dernières MAJ avant celle d'hier posaient problèmes.
Les pb les plus rencontrés sont:

- Certains plugins ne marche plus
- Des msg d'erreurs s'affichent a la compilation
- Il est impossible d'activer certains plugins en même temps.

Logiquement, tout ceci a été corrigé depuis hier mais sinon, le seul moyen est d'installer des anciennes versions

Content pour toi  AuraHxC

Voici mon sources.list
deb http://fr.archive.ubuntu.com/ubuntu/ feisty universe
deb-src http://fr.archive.ubuntu.com/ubuntu/ feisty universe
deb http://fr.archive.ubuntu.com/ubuntu/ feisty main restricted
deb-src http://fr.archive.ubuntu.com/ubuntu/ feisty main restricted
deb http://fr.archive.ubuntu.com/ubuntu/ feisty-updates main restricted
deb-src http://fr.archive.ubuntu.com/ubuntu/ feisty-updates main restricted
deb http://fr.archive.ubuntu.com/ubuntu/ feisty multiverse
deb-src http://fr.archive.ubuntu.com/ubuntu/ feisty multiverse
deb http://security.ubuntu.com/ubuntu feisty-security main restricted
deb http://security.ubuntu.com/ubuntu feisty-security universe
deb http://security.ubuntu.com/ubuntu feisty-security multiverse
deb-src http://security.ubuntu.com/ubuntu feisty-security universe
deb-src http://security.ubuntu.com/ubuntu feisty-security main restricted
deb-src http://security.ubuntu.com/ubuntu feisty-security multiverse
deb http://fr.archive.ubuntu.com/ubuntu/ feisty main restricted universe multiverse
deb http://fr.archive.ubuntu.com/ubuntu/ feisty-security main restricted universe multiverse
deb http://fr.archive.ubuntu.com/ubuntu/ feisty-updates main restricted universe multiverse

# Compiz-Fusion i386
deb http://download.tuxfamily.org/3v1deb feisty eyecandy
deb http://download.tuxfamily.org/3v1deb feisty 3v1n0
deb-src http://download.tuxfamily.org/3v1deb feisty 3v1n0
deb-src http://download.tuxfamily.org/3v1deb feisty eyecandy

# Mediubuntu
deb http://packages.medibuntu.org/ feisty free non-free
deb-src http://packages.medibuntu.org/ feisty free non-free

## Avant Window Navigator
deb http://download.tuxfamily.org/syzygy42/ feisty avant-window-navigator
deb-src http://download.tuxfamily.org/syzygy42/ feisty avant-window-navigator

# Miro TVCast
deb http://ftp.osuosl.org/pub/pculture.org/miro/linux/repositories/ubuntu feisty/

# Digikam Pictures Pics
deb http://www.mpe.mpg.de/~ach/kubuntu/feisty ./
deb-src http://www.mpe.mpg.de/~ach/kubuntu/feisty ./

# Gutsy Temp Repo
# deb http://archive.ubuntu.com/ubuntu/ gutsy main restricted

Je ne comprends pas que la commande build-dep ne passe pas chez toi.
Je te rappelle néanmoins que la commande permet de rapatrier tout ceci:
sudo apt-get install autoconf automake1.7 autotools-dev build-essential debhelper dpkg-dev g++ g++-4.1 html2text intltool libart-2.0-dev libatk1.0-dev libaudiofile-dev libavahi-client-dev libavahi-common-dev libavahi-glib-dev libbonobo2-dev libbonoboui2-dev libc6-dev libcairo2-dev libdbus-1-dev libdbus-glib-1-dev libesd0-dev libexpat1-dev libfontconfig1-dev libfreetype6-dev libgconf2-dev libgcrypt11-dev libgl1-mesa-dev libglade2-dev libglib2.0-dev libgnome-desktop-dev libgnome-keyring-dev libgnome-window-settings-dev libgnome2-dev libgnomecanvas2-dev libgnomeui-dev libgnomevfs2-dev libgnutls-dev libgpg-error-dev libgtk2.0-dev libice-dev libidl-dev libjpeg62-dev liblzo-dev libopencdk8-dev liborbit2-dev libpango1.0-dev libpng12-dev libpopt-dev libselinux1-dev libsepol1-dev libsm-dev libstartup-notification0-dev libstdc++6-4.1-dev libtasn1-3-dev libwnck-dev libx11-dev libxau-dev libxcomposite-dev libxcomposite1 libxcursor-dev libxdamage-dev libxdmcp-dev libxext-dev libxfixes-dev libxft-dev libxi-dev libxinerama-dev libxml2-dev libxrandr-dev libxrender-dev libxres-dev libxt-dev linux-libc-dev m4 mesa-common-dev x11proto-composite-dev x11proto-core-dev x11proto-damage-dev x11proto-fixes-dev x11proto-gl-dev x11proto-input-dev x11proto-kb-dev x11proto-randr-dev x11proto-render-dev x11proto-resource-dev x11proto-xext-dev x11proto-xinerama-dev xtrans-dev zlib1g-dev

Bon, l'essentielle est que ca fonctionne chez toi!
A+

Hors ligne

#613 Le 25/08/2007, à 14:52

AuraHxC

Re : Compiz-Fusion (ex installation Compcomm)

Merci pour ton aide holodad wink
Oui l'important c'est que tout refonctionne correctement big_smile

Je laisse de coté la compilation mais quand je retourne à strasbourg pour mes études donc bientôt je testerais sur un autre pc la compilation pour voir la différence wink

Hors ligne

#614 Le 25/08/2007, à 22:29

AuraHxC

Re : Compiz-Fusion (ex installation Compcomm)

Une petite question pour ceux qui compile : vous avez encore le problème des fenêtres qui se coupent sur les arêtes du cube ? (j'espère que vous voyez de quoi je parle).

Hors ligne

#615 Le 26/08/2007, à 02:25

m3ta-x

Re : Compiz-Fusion (ex installation Compcomm)

AuraHxC a écrit :

Une petite question pour ceux qui compile : vous avez encore le problème des fenêtres qui se coupent sur les arêtes du cube ? (j'espère que vous voyez de quoi je parle).

oui tout le monde a ce problème, c'est le gros bug de 3D. Je pense qu'il sera bientôt résolu vu la vitesse à laquelle Compiz-Fusion s'ameliore! smile

Hors ligne

#616 Le 26/08/2007, à 14:44

holodad

Re : Compiz-Fusion (ex installation Compcomm)

Je confirme effectivement.
Mais bon, comme l'a indiqué m3ta-X, il est fort probable que ce pb soit résolu rapidement.
Pour ceux qui veulent pas se prendre la tete avec la compilation de la lib XCB et de CF, voici un script qui a été développé par un Ubunteros. Ce script est simplement fantastique en terme de souplesse d'utilisation. Il fonctionne parfaitement et ne casse pas Java etc etc...
Utilisez le!

(Désolé, ché pas faire un menu déroulant)
#!/bin/bash

downdir=~/compiz        #choose download directory - make sure that the path you enter exists, as the sript can only create the final directory (download directory)
gitpluginsall="3d addhelper animation atlantis bench colorfilter compiz-scheme crashhandler cubecaps cubereflex expo extrawm ezoom fadedesktop fakeargb firepaint gears group jpeg mblur mswitch neg opacify put reflex resizeinfo ring scaleaddon scalefilter screencasting shift showdesktop snap snow splash text thumbnail tile trailfocus vpswitch wall wallpaper widget winrules workarounds"

clear
echo -e "\033[7mWelcome to CF Installer-Updater version 3.0\033[0m"
echo
echo -e "\033[1mReminder: You must have Main, Universe and Multiverse repositories enabled in order this script to work properly (otherwise not everything needed will be able to be downloaded).\033[0m"
echo
echo -e "\033[1mWarning: If you get an error about libcairo.so.2 uninstall Mono and it will be solved (the version which is pre-installed in Ubuntu should not cause any problems).\033[0m"

echo
echo -e "\033[1mDo you use Gnome or KDE?(g/k):\033[0m" ; read answer
if [ $answer = g ] ; then
    opdeskenv=kde
elif [ $answer = k ] ; then
    opdeskenv=gnome
else
    echo -e "\033[1mInvalid answer\033[0m"
    exit
fi
echo
echo -e "\033[1mDo you want to (un)install Compiz Fusion or update it?(i/u):\033[0m" ; read answer
if [ $answer = i ] ; then
    echo
    echo -e "\033[1mDo you want to install or uninstall Compiz Fusion?(i/u):\033[0m" ; read answer
    if [ $answer = i ] ; then
        {
            echo
            echo -e "\033[1mInstalling required dependencies to build...\033[0m"
            sudo apt-get install git-core automake build-essential intltool libtool python python-pyrex python-gtk2 python2.5-dev
           
            echo
            if [ $opdeskenv = kde ] ; then
                echo -e "\033[1mDo you have any KDE libraries installed?(y/n):\033[0m" ; read answer
                if [ $answer = y ] ; then
                    echo -e "\033[1mInsalling Compiz Fusion 's dependencies...\033[0m"
                    sudo apt-get install autoconf automake1.7 autotools-dev build-essential debhelper dpkg-dev g++ g++-4.1 html2text intltool libart-2.0-dev libatk1.0-dev libaudiofile-dev libavahi-client-dev libavahi-common-dev libavahi-glib-dev libbonobo2-dev libbonoboui2-dev libc6-dev libcairo2-dev libdbus-1-dev libdbus-glib-1-dev libesd0-dev libexpat1-dev libfontconfig1-dev libfreetype6-dev libgconf2-dev libgcrypt11-dev libgl1-mesa-dev libglade2-dev libglib2.0-dev libgnome-desktop-dev libgnome-keyring-dev libgnome-window-settings-dev libgnome2-dev libgnomecanvas2-dev libgnomeui-dev libgnomevfs2-dev libgnutls-dev libgpg-error-dev libgtk2.0-dev libice-dev libidl-dev libjpeg62-dev liblzo-dev libopencdk8-dev liborbit2-dev libpango1.0-dev libpng12-dev libpopt-dev libselinux1-dev libsepol1-dev libsm-dev libstartup-notification0-dev libstdc++6-4.1-dev libtasn1-3-dev libwnck-dev libx11-dev libxau-dev libxcomposite-dev libxcomposite1 libxcursor-dev libxdamage-dev libxdmcp-dev libxext-dev libxfixes-dev libxft-dev libxi-dev libxinerama-dev libxml2-dev libxrandr-dev libxrender-dev libxres-dev libxt-dev linux-libc-dev m4 mesa-common-dev x11proto-composite-dev x11proto-core-dev x11proto-damage-dev x11proto-fixes-dev x11proto-gl-dev x11proto-input-dev x11proto-kb-dev x11proto-randr-dev x11proto-render-dev x11proto-resource-dev x11proto-xext-dev x11proto-xinerama-dev xtrans-dev zlib1g-dev
                elif [ $answer = n ] ; then
                    echo -e "\033[1mInsalling Compiz Fusion 's dependencies...\033[0m"
                    sudo apt-get build-dep compiz
                else
                    echo -e "\033[1mInvalid answer\033[0m"
                    exit
                fi
            elif [ $opdeskenv = gnome ] ; then
                echo -e "\033[1mDo you have any Gnome libraries installed?(y/n):\033[0m" ; read answer
                if [ $answer = y ] ; then
                    echo -e "\033[1mInsalling Compiz Fusion 's dependencies...\033[0m"
                    sudo apt-get install autotools-dev binutils build-essential capplets-data cpp cpp-4.0 debconf-utils debhelper desktop-file-utils dpkg-dev g++ g++-4.0 gcc gcc-4.0 gconf2 gconf2-common gnome-control-center gnome-desktop-data gnome-icon-theme gnome-keyring gnome-menus gnome-mime-data html2text libart-2.0-dev libatk1.0-0 libatk1.0-dev libaudio-dev libaudiofile-dev libavahi-client-dev libavahi-common-dev libavahi-glib-dev libavahi-glib1 libbonobo2-0 libbonobo2-common libbonobo2-dev libbonoboui2-0 libbonoboui2-common libbonoboui2-dev libc6-dev libcairo2-dev libcamel1.2-8 libcroco3 libdbus-1-dev libebook1.2-5 libedataserver1.2-7 libegroupwise1.2-9 libesd0-dev libexpat1-dev libfontconfig1-dev libfreetype6-dev libgconf2-4 libgconf2-dev libgcrypt11-dev libgl1-mesa-dev libglade2-0 libglade2-dev libglib2.0-dev libglu1-mesa-dev libgnome-desktop-2 libgnome-desktop-dev libgnome-keyring-dev libgnome-keyring0 libgnome-menu2 libgnome2-0 libgnome2-common libgnome2-dev libgnomecanvas2-0 libgnomecanvas2-common libgnomecanvas2-dev libgnomeui-0 libgnomeui-common libgnomeui-dev libgnomevfs2-0 libgnomevfs2-common libgnomevfs2-dev libgnutls-dev libgpg-error-dev libgsf-1-113 libgsf-1-common libgtk2.0-0 libgtk2.0-bin libgtk2.0-common libgtk2.0-dev libice-dev libidl-dev libjpeg62-dev liblcms1-dev libmetacity0 libmng-dev libnautilus-extension1 libopencdk8-dev liborbit2-dev libpango1.0-0 libpango1.0-common libpango1.0-dev libpng12-dev libpopt-dev libqt4-core libqt4-dev libqt4-gui libqt4-qt3support libqt4-sql librsvg2-2 librsvg2-common libsm-dev libsoup2.2-8 libstartup-notification0-dev libstdc++6-4.0-dev libtasn1-2-dev libwnck-common libwnck-dev libwnck18 libx11-dev libxau-dev libxcomposite-dev libxcursor-dev libxdamage-dev libxdmcp-dev libxext-dev libxfixes-dev libxft-dev libxi-dev libxinerama-dev libxklavier10 libxml2-dev libxmu-dev libxmu-headers libxrandr-dev libxrender-dev libxres-dev libxres1 libxt-dev linux-kernel-headers make mesa-common-dev pkg-config python-gmenu shared-mime-info x-dev x11proto-composite-dev x11proto-core-dev x11proto-damage-dev x11proto-fixes-dev x11proto-input-dev x11proto-kb-dev x11proto-randr-dev x11proto-render-dev x11proto-resource-dev x11proto-xext-dev x11proto-xinerama-dev zlib1g-dev libavahi-client3 libavahi-common3 libc6 libc6-i686 libdbus-1-2 libfreetype6 libglib2.0-0 libgnutls12 libpng12-0 libpq4 libx11-6
                elif [ $answer = n ] ; then
                    echo -e "\033[1mInsalling Compiz Fusion 's dependencies...\033[0m"
                    sudo apt-get build-dep compiz
                else
                    echo -e "\033[1mInvalid answer\033[0m"
                    exit
                fi
            else
                echo -e "\033[1mInvalid answer\033[0m"
                exit
            fi
            echo
            echo -e "\033[1mDo you want to uninstall any previous versions of Emerald, Compiz, Compiz Fusion and Beryl (Furthermore, Desktop Effects will be removed)? Doing so is highly reccomended, as they may interfere and cause problems(y/n):\033[0m" ;  read answer
            if [ $answer = y ] ; then
                sudo apt-get remove emerald
                sudo apt-get remove emerald-*
                sudo apt-get remove emerald*
                sudo apt-get remove compiz
                sudo apt-get remove compiz-*
                sudo apt-get remove compiz*
                sudo apt-get remove beryl
                sudo apt-get remove beryl-*
                sudo apt-get remove beryl*
                sudo apt-get remove desktop-effects
            elif [ $answer = n ] ; then
                echo -e "\033[1mSkipping...\033[0m"
            else
                echo -e "\033[1mInvalid answer\033[0m"
                exit
            fi
           
            mkdir $downdir
           
            echo
            echo -e "\033[1mWould you like to install Compiz Fusion?(y/n):\033[0m" ; read answer
            if [ $answer = y ] ; then
                echo -e "\033[1mWould you like to install latest Compiz Fusion revision from git or install version 0.5.2? You may want to install version 0.5.2 as if you choose to install it from git,libX11 will be compiled with xcb support as it is required by latest Compiz Fusion revisions. This is considered not a wise choise as it may cause problems on your system like braking java (didn't happened at any of my tests). Also, in case you cannot manage to get installing from git working, you might wanna try installing the stable version (0.5.2) (git/stable):\033[0m" ; read answer
                if [ $answer = git ] ; then
                    echo -e "\033[1mCompiling libX11 compiled with xcb support...\033[0m"
                    wget http://ftp.debian.org/debian/pool/main/libx/libx11/libx11_1.1.3.orig.tar.gz
                    wget http://ftp.debian.org/debian/pool/main/libx/libx11/libx11_1.1.3-1.diff.gz
                    sudo apt-get build-dep libx11-6
                    tar xvf libx11_1.1.3.orig.tar.gz
                    cd libX11-1.1.3
                    gunzip -c ../libx11_1.1.3-1.diff.gz | patch -p1
                    chmod +x debian/rules
                    sudo debian/rules binary
                    cd ..
                    sudo dpkg -i libx11*deb
                    sudo rm libx11*deb
                    rm libx11_1.1.3.orig.tar.gz
                    rm libx11_1.1.3-1.diff.gz
                    sudo rm -rf libX11-1.1.3
                    cd $downdir
                    echo -e "\033[1mDownloading Compiz Fusion...\033[0m"
                    git clone git://git.freedesktop.org/git/xorg/app/compiz
                    cd $downdir/compiz
                    echo -e "\033[1mInstalling Compiz Fusion...\033[0m"
                    ./autogen.sh --disable-$opdeskenv && make && sudo make install
                elif [ $answer = stable ] ; then
                    cd $downdir
                    echo -e "\033[1mDownloading Compiz Fusion...\033[0m"
                    wget http://xorg.freedesktop.org/archive/individual/app/compiz-0.5.2.tar.gz
                    tar xf compiz-0.5.2.tar.gz
                    cd $downdir/compiz-0.5.2
                    echo -e "\033[1mInstalling Compiz Fusion...\033[0m"
                    ./configure --disable-$opdeskenv && make && sudo make install
                else
                    echo -e "\033[1mInvalid answer\033[0m"
                    exit
                fi
            elif [ $answer = n ] ; then
                echo -e "\033[1mSkipping...\033[0m"
            else
                echo -e "\033[1mInvalid answer\033[0m"
                exit
            fi
           
            echo
            echo -e "\033[1mWould you like to install Compiz Fusion Option Code Generator?(y/n):\033[0m" ; read answer
            if [ $answer = y ] ; then
                cd $downdir
                echo -e "\033[1mDownloading Compiz Fusion Option Code Generator...\033[0m"
                git clone git://anongit.opencompositing.org/fusion/libraries/bcop
                cd $downdir/bcop
                echo -e "\033[1mInstalling Compiz Fusion Option Code Generator...\033[0m"
                ./autogen.sh && make && sudo make install
            elif [ $answer = n ] ; then
                echo -e "\033[1mSkipping...\033[0m"
            else
                echo -e "\033[1mInvalid answer\033[0m"
                exit
            fi
           
            echo
            echo -e "\033[1mWould you like to install the Settings Library for Plugins?(y/n):\033[0m" ; read answer
            if [ $answer = y ] ; then
                cd $downdir
                echo -e "\033[1mDownloading the Settings Library for Plugins...\033[0m"
                git clone git://anongit.opencompositing.org/fusion/compizconfig/libcompizconfig
                cd $downdir/libcompizconfig
                echo -e "\033[1mInstalling the Settings Library for Plugins...\033[0m"
                ./autogen.sh && make && sudo make install
            elif [ $answer = n ] ; then
                echo -e "\033[1mSkipping...\033[0m"
            else
                echo -e "\033[1mInvalid answer\033[0m"
                exit
            fi
           
            echo
            echo -e "\033[1mWould you like to install CompizConfig-Python?(y/n):\033[0m" ;read answer
            if [ $answer = y ] ; then
                cd $downdir
                echo -e "\033[1mDownloading CompizConfig-Python...\033[0m"
                git clone git://anongit.opencompositing.org/fusion/compizconfig/compizconfig-python
                cd $downdir/compizconfig-python
                echo -e "\033[1mInstalling CompizConfig-Python...\033[0m"
                ./autogen.sh && make && sudo make install
            elif [ $answer = n ] ; then
                echo -e "\033[1mSkipping...\033[0m"
            else
                echo -e "\033[1mInvalid answer\033[0m"
                exit
            fi
           
            echo
            echo -e "\033[1mWould you like to install CompizConfig Settings Manager?(y/n):\033[0m" ; read answer
            if [ $answer = y ] ; then
                cd $downdir
                echo -e "\033[1mDownloading CompizConfig Settings Manager...\033[0m"
                git clone git://anongit.opencompositing.org/fusion/compizconfig/ccsm
                cd $downdir/ccsm
                echo -e "\033[1mInstalling CompizConfig Settings Manager...\033[0m"
                sudo python setup.py install
            elif [ $answer = n ] ; then
                echo -e "\033[1mSkipping...\033[0m"
            else
                echo -e "\033[1mInvalid answer\033[0m"
                exit
            fi
           
            echo
            echo -e "\033[1mWould you like to install all the currently available plugins for Compiz Fusion or choose which to install according to where they are classified?(all/choose):\033[0m" ; read answer
            if [ $answer = all ] ; then
                echo -e "\033[1mDownloading and Installing all available Compiz Fusion Plugins...\033[0m"
                for i in $gitpluginsall ; do
                    mkdir $downdir/plugins
                    cd $downdir/plugins
                    git clone git://anongit.opencompositing.org/fusion/plugins/$i
                    cd $downdir/plugins/$i
                    sudo make install
                done
            elif [ $answer = choose ] ; then
                echo
                echo -e "\033[1mWould you like to install Compiz Fusion Plugins - Main?(y/n):\033[0m" ; read answer
                if [ $answer = y ] ; then
                    cd $downdir
                    echo -e "\033[1mDownloading Compiz Fusion Plugins - Main...\033[0m"
                    git clone git://anongit.opencompositing.org/fusion/plugins-main
                    cd $downdir/plugins-main
                    echo -e "\033[1mInstalling Compiz Fusion Plugins - Main...\033[0m"
                    ./autogen.sh && make && sudo make install
                elif [ $answer = n ] ; then
                    echo -e "\033[1mSkipping...\033[0m"
                else
                    echo -e "\033[1mInvalid answer\033[0m"
                    exit
                fi
               
                echo
                echo -e "\033[1mWould you like to install Compiz Fusion Plugins - Extra?(y/n):\033[0m" ; read answer
                if [ $answer = y ] ; then
                    cd $downdir
                    echo -e "\033[1mDownloading Compiz Fusion Plugins - Extra...\033[0m"
                    git clone git://anongit.opencompositing.org/fusion/plugins-extra
                    cd $downdir/plugins-extra
                    echo -e "\033[1mInstalling Compiz Fusion Plugins - Extra...\033[0m"
                    ./autogen.sh && make && sudo make install
                elif [ $answer = n ] ; then
                    echo -e "\033[1mSkipping...\033[0m"
                else
                    echo -e "\033[1mInvalid answer\033[0m"
                    exit
                fi
               
                echo
                echo -e "\033[1mWould you like to install Compiz Fusion Plugins - Unsupported?(y/n):\033[0m" ; read answer
                if [ $answer = y ] ; then
                    cd $downdir
                    echo -e "\033[1mDownloading Compiz Fusion Plugins - Unsupported...\033[0m"
                    git clone git://anongit.opencompositing.org/fusion/plugins-unsupported
                    cd $downdir/plugins-unsupported
                    echo -e "\033[1mInstalling Compiz Fusion Plugins - Unsupported...\033[0m"
                    ./autogen.sh && make && sudo make install
                elif [ $answer = n ] ; then
                    echo -e "\033[1mSkipping...\033[0m"
                else
                    echo -e "\033[1mInvalid answer\033[0m"
                    exit
                fi
            else
                echo -e "\033[1mInvalid answer\033[0m"
                exit
            fi
           
            echo
            echo -e "\033[1mWould you like to install Emerald?(y/n):\033[0m" ; read answer
            if [ $answer = y ] ; then
                cd $downdir
                echo -e "\033[1mDownloading Emerald...\033[0m"
                git clone git://anongit.opencompositing.org/fusion/decorators/emerald
                cd $downdir/emerald
                echo -e "\033[1mInstalling Emerald...\033[0m"
                ./autogen.sh && make && sudo make install
            elif [ $answer = n ] ; then
                echo -e "\033[1mSkipping...\033[0m"
            else
                echo -e "\033[1mInvalid answer\033[0m"
                exit
            fi
           
            echo
            echo -e "\033[1mWould you like to install a Package of Themes for Emerald?(y/n):\033[0m" ; read answer
            if [ $answer = y ] ; then
                cd $downdir
                echo -e "\033[1mDownloading a Package of Themes for Emerald...\033[0m"
                git clone git://anongit.opencompositing.org/fusion/decorators/emerald-themes
                cd $downdir/emerald-themes
                echo -e "\033[1mInstalling a Package of Themes for Emerald...\033[0m"
                ./autogen.sh && make && sudo make install
            elif [ $answer = n ] ; then
                echo -e "\033[1mSkipping...\033[0m"
            else
                echo -e "\033[1mInvalid answer\033[0m"
                exit
            fi
           
            echo
            echo -e "\033[1mWould you like to install Compiz Fusion Icon?(y/n):\033[0m" ; read answer
            if [ $answer = y ] ; then
                cd $downdir
                echo -e "\033[1mDownloading Compiz Fusion Icon...\033[0m"
                git clone git://anongit.opencompositing.org/users/crdlb/fusion-icon
                cd $downdir/fusion-icon
                echo -e "\033[1mInstalling Compiz Fusion Icon...\033[0m"
                make
                sudo make install
            elif [ $answer = n ] ; then
                echo -e "\033[1mSkipping...\033[0m"
            else
                echo -e "\033[1mInvalid answer\033[0m"
                exit
            fi
   
            echo
            echo -e "\033[1mDo you have a NVidia graphics card?(y/n):\033[0m" ; read answer
            if [ $answer = y ] ; then
                sudo nvidia-xconfig --add-argb-glx-visuals -d 24
            elif [ $answer = n ] ; then
                echo -e "\033[1mSkipping...\033[0m"
            else
                echo -e "\033[1mInvalid answer\033[0m"
                exit
            fi
           
            echo
            echo -e "\033[1mInstallation Completed\033[0m"
            echo
            echo -e "\033[1mWarning: Do not delete the files that this script downloaded to your home folder. If you do so, update will not be possible.\033[0m"
            echo
            echo -e "\033[1mTip: In order to launch Compiz Fusion and everything else needed, launch Compiz Fusion Icon, if you installed it (it is located at Applications-->System Tools).\033[0m"
            echo
            echo -e "\033[1mTip: In order to launch Compiz Fusion during startup go to System-->Preferences-->Sessios and at the startup tab click new. At the name field add whatever you want (ex. Compiz Fusion Icon) and at the command field add fusion-icon (if you installed Compiz Fusion Icon)\033[0m"
        }
    elif [ $answer = u ] ; then
        {
            echo
            echo -e "\033[1mUninstalling Compiz Fusion Option Code Generator...\033[0m"
            cd $downdir/bcop
            sudo make uninstall
           
            echo -e "\033[1mUninstalling CompizConfig Settings Manager...\033[0m"
            cd $downdir/ccsm
            sudo python setup.py uninstall
           
            echo -e "\033[1mHave you instaled Compiz Fusion version 0.5.2 or the latest one from git?(git/stable):\033[0m" ; read answer
            if [ $answer = git ] ; then
                echo -e "\033[1mUninstalling Compiz Fusion...\033[0m"
                cd $downdir/compiz-0.5.2
                sudo make uninstall
            elif [ $answer = stable ] ; then
                echo -e "\033[1mUninstalling Compiz Fusion...\033[0m"
                cd $downdir/compiz
                sudo make uninstall
            else
                echo -e "\033[1mInvalid answer\033[0m"
                exit
            fi
           
            echo -e "\033[1mUninstalling CompizConfig-Python...\033[0m"
            cd $downdir/compizconfig-python
            sudo make uninstall
           
            echo -e "\033[1mUninstalling Emerald...\033[0m"
            cd $downdir/emerald
            sudo make uninstall
           
            echo -e "\033[1mUninstalling the Package of Themes for Emerald...\033[0m"
            cd $downdir/emerald-themes
            sudo make uninstall
           
            echo -e "\033[1mUninstalling Compiz Fusion Icon...\033[0m"
            cd $downdir/fusion-icon
            sudo make uninstall
           
            echo -e "\033[1mUninstalling the Settings Library for Plugins...\033[0m"
            cd $downdir/libcompizconfig
            sudo make uninstall
           
            echo -e "\033[1mHave you installed all the available plugins for Compiz Fusion or you have chosen which according to where they are classified?(all/choose):\033[0m" ; read answer
            if [ $answer = all ] ; then
                echo -e "\033[1mUninstalling all Compiz Fusion Plugins...\033[0m"
                for i in $gitpluginsall ; do
                    cd $downdir/plugins/$i
                    sudo make uninstall
                done
            elif [ $answer = choose ] ; then
                echo -e "\033[1mUninstalling Compiz Fusion Plugins - Extra...\033[0m"
                cd $downdir/plugins-extra
                sudo make uninstall
               
                echo -e "\033[1mUninstalling Compiz Fusion Plugins - Main...\033[0m"
                cd $downdir/plugins-main
                sudo make uninstall
               
                echo -e "\033[1mUninstalling Compiz Fusion Plugins - Unsupported...\033[0m"
                cd $downdir/plugins-unsupported
                sudo make uninstall
            else
                echo -e "\033[1mInvalid answer\033[0m"
                exit
            fi
           
            echo -e "\033[1mWould you like to delete everything that this script has downloaded?(y/n):\033[0m" ; read answer
            if [ $answer = y ] ; then
                sudo rm -rf $downdir
            elif [ $answer = n ] ; then
                echo -e "\033[1mSkipping...\033[0m"
            else
                echo -e "\033[1mInvalid answer\033[0m"
                exit
            fi
        }
    else
        {
            echo -e "\033[1mInvalid answer\033[0m"
            exit
        }
    fi
elif [ $answer = u ] ; then
    {
        cd $downdir/compiz
        git-pull
        echo -e "\033[1mWould you like to update Compiz Fusion (ignore it if you didn't installed it from git) ?(y/n):\033[0m" ; read answer
        if [ $answer = y ] ; then
            ./autogen.sh --disable-$opdeskenv && make && sudo make install
        elif [ $answer = n ] ; then
            echo -e "\033[1mSkipping...\033[0m"
        else
            echo -e "\033[1mInvalid answer\033[0m"
            exit
        fi
       
        cd $downdir/bcop
        git-pull
        echo -e "\033[1mWould you like to update Compiz Fusion Option Code Generator?(y/n):\033[0m" ; read answer
        if [ $answer = y ] ; then
            ./autogen.sh && make && sudo make install
        elif [ $answer = n ] ; then
            echo -e "\033[1mSkipping...\033[0m"
        else
            echo -e "\033[1mInvalid answer\033[0m"
            exit
        fi
       
        cd $downdir/ccsm
        git-pull
        echo -e "\033[1mWould you like to update CompizConfig Settings Manager?(y/n):\033[0m" ; read answer
        if [ $answer = y ] ; then
            sudo python setup.py install
        elif [ $answer = n ] ; then
            echo -e "\033[1mSkipping...\033[0m"
        else
            echo -e "\033[1mInvalid answer\033[0m"
            exit
        fi
       
        cd $downdir/compizconfig-python
        git-pull
        echo -e "\033[1mWould you like to update CompizConfig-Python?(y/n):\033[0m" ; read answer
        if [ $answer = y ] ; then
            ./autogen.sh && make && sudo make install
        elif [ $answer = n ] ; then
            echo -e "\033[1mSkipping...\033[0m"
        else
            echo -e "\033[1mInvalid answer\033[0m"
            exit
        fi
       
        cd $downdir/emerald
        git-pull
        echo -e "\033[1mWould you like to update Emerald?(y/n):\033[0m" ; read answer
        if [ $answer = y ] ; then
            ./autogen.sh && make && sudo make install
        elif [ $answer = n ] ; then
            echo -e "\033[1mSkipping...\033[0m"
        else
            echo -e "\033[1mInvalid answer\033[0m"
            exit
        fi
       
        cd $downdir/emerald-themes
        git-pull
        echo -e "\033[1mWould you like to update the Package of Themes for Emerald?(y/n):\033[0m" ; read answer
        if [ $answer = y ] ; then
            ./autogen.sh && make && sudo make install
        elif [ $answer = n ] ; then
            echo -e "\033[1mSkipping...\033[0m"
        else
            echo -e "\033[1mInvalid answer\033[0m"
            exit
        fi
       
        cd $downdir/libcompizconfig
        git-pull
        echo -e "\033[1mWould you like to update the Settings Library for Plugins?(y/n):\033[0m" ; read answer
        if [ $answer = y ] ; then
            ./autogen.sh && make && sudo make install
        elif [ $answer = n ] ; then
            echo -e "\033[1mSkipping...\033[0m"
        else
            echo -e "\033[1mInvalid answer\033[0m"
            exit
        fi
       
        cd $downdir/plugins-main
        git-pull
        echo -e "\033[1mWould you like to update Compiz Fusion Plugins - Main?(y/n):\033[0m" ;read answer
        if [ $answer = y ] ; then
            ./autogen.sh && make && sudo make install
        elif [ $answer = n ] ; then
            echo -e "\033[1mSkipping...\033[0m"
        else
            echo -e "\033[1mInvalid answer\033[0m"
            exit
        fi
       
        cd $downdir/plugins-extra
        git-pull
        echo -e "\033[1mWould you like to update Compiz Fusion Plugins - Extra?(y/n):\033[0m" ; read answer
        if [ $answer = y ] ; then
            ./autogen.sh && make && sudo make install
        elif [ $answer = n ] ; then
            echo -e "\033[1mSkipping...\033[0m"
        else
            echo -e "\033[1mInvalid answer\033[0m"
            exit
        fi
       
        cd $downdir/plugins-unsupported
        git-pull
        echo -e "\033[1mWould you like to update Compiz Fusion Plugins - Unsupported?(y/n):\033[0m" ; read answer
        if [ $answer = y ] ; then
            ./autogen.sh && make && sudo make install
        elif [ $answer = n ] ; then
            echo -e "\033[1mSkipping...\033[0m"
        else
            echo -e "\033[1mInvalid answer\033[0m"
            exit
        fi
       
        cd $downdir/fusion-icon
        git-pull
        echo -e "\033[1mWould you like to update Compiz Fusion Icon?(y/n):\033[0m" ; read answer
        if [ $answer = y ] ; then
            make && sudo make install
        elif [ $answer = n ] ; then
            echo -e "\033[1mSkipping...\033[0m"
        else
            echo -e "\033[1mInvalid answer\033[0m"
            exit
        fi
    }
else
    {   
        echo -e "\033[1mInvalid answer\033[0m"
        exit
    }
fi
echo
echo -e "\033[1mLicensed under a Creative Commons Attribution-Noncommercial 3.0 License. To view a copy of this license, visit http://creativecommons.org/licenses/by-nc/3.0/\033[0m"
echo -e "\033[1mCreated by ElemonGW. For more visit http://elemongw.awardspace.com/\033[0m"

Hors ligne

#617 Le 26/08/2007, à 19:53

sirius10

Re : Compiz-Fusion (ex installation Compcomm)

salut
je voulais savoir si emerald ou un autre decorateur de fenetre marche avec compiz fusion

EDIT :
Soryy c est reglé il fallait juste aller dans systeme_session et y mettre

emerald --replace

et hop emeral est au demarage!!   smile

Merci tt de meme;;;  a+

Dernière modification par sirius10 (Le 27/08/2007, à 15:07)


"Pour ce qui est de l'Avenir, il ne s’agit pas de le prévoir, mais de le rendre possible."     
Antoine de Saint-Exupéry

Hors ligne

#618 Le 28/08/2007, à 03:21

m3ta-x

Re : Compiz-Fusion (ex installation Compcomm)

Dites, j'arrive plus à rendre mon tableau de bord transparent. La derniere mise à jour m'a fait pété toute ma config et depuis, je n'ai plus le tableau de bord transparent. Quelqu'un pourrait-il me dire comment remedier à cela? Merci!

Hors ligne

#619 Le 28/08/2007, à 14:56

holodad

Re : Compiz-Fusion (ex installation Compcomm)

m3ta-x a écrit :

Dites, j'arrive plus à rendre mon tableau de bord transparent. La derniere mise à jour m'a fait pété toute ma config et depuis, je n'ai plus le tableau de bord transparent. Quelqu'un pourrait-il me dire comment remedier à cela? Merci!

Oui, il faut installer l'ancienne version de compiz... La dernière MAJ d'hier pose pb.
Telecharges cette version:
http://gitweb.opencompositing.org/?p=compiz;a=snapshot;h=4d4afa2af26c67fe9c5b52abd75a6d752b750c6c
puis:
Si tu est sous Gnome:
./autogen --disable-kde && make && sudo make install.

La dernière version d'aujourd'hui n'a pas résolu le probléme. Tu n'as pas le choix que d'installer celle que je recommande ci dessus

A+

Dernière modification par holodad (Le 28/08/2007, à 15:04)

Hors ligne

#620 Le 29/08/2007, à 01:59

m3ta-x

Re : Compiz-Fusion (ex installation Compcomm)

Ok merci. Mais j'ai pas envie de desinstaller compiz pour en réinstaller un autre, je vais attendre les mises à jours ca sera plus sage! ^^

Hors ligne

#621 Le 29/08/2007, à 10:48

pluviotor

Re : Compiz-Fusion (ex installation Compcomm)

@holodad interessant ton script, faut que j'essaie celà...
Le soucis avec compiz-fusion c'est qu'il y a différent type d'install:
- par dépot de trevino, ce topic à l'air d'en prendre le chemin.
- par un script avec l'install de la 3D .... (dans ce forum)
- par git direct
- le tiens, par git mais par les branches stables ?
Ca vaudrait peut être le coup que tu créer un topic à propos? et qu'on en voit l'évolution...

Hors ligne

#622 Le 29/08/2007, à 15:00

holodad

Re : Compiz-Fusion (ex installation Compcomm)

pluviotor a écrit :

@holodad interessant ton script, faut que j'essaie celà...
Le soucis avec compiz-fusion c'est qu'il y a différent type d'install:
- par dépot de trevino, ce topic à l'air d'en prendre le chemin.
- par un script avec l'install de la 3D .... (dans ce forum)
- par git direct
- le tiens, par git mais par les branches stables ?
Ca vaudrait peut être le coup que tu créer un topic à propos? et qu'on en voit l'évolution...

Pluviotor
Le script que j'ai mis permet l'installation aussi bien par compilation des git ou par une version stable la 0.5.2
Dans les deux cas, cela fonctionne parfaitement.
Je viens de tester les deux méthodes et cela ne posent aucun problèmes.
Je vais créer un topic comme tu le suggères.
Merci

Hors ligne

#623 Le 30/08/2007, à 05:10

m3ta-x

Re : Compiz-Fusion (ex installation Compcomm)

Salut tout le monde!!! Je viens rapporter une bonne nouvelle que vous avez peut-être déjà remarqué; le plugin 3D fonctionne maintenant correctement. Le bug des fenêtres coupées aux aretes du cube n'est plus!!!
Mais comme une nouvelle ne vient jamais seule, il y a une autre bug (bien moindre celui la!); la reflection du cube est éloignée avec le plugin 3D lors de la rotation du cube quand une fenêtre est ouverte.

Je ne sais pas exactement si c'est une mise à jour qui a corrigé le bug mais s'il est toujours présent chez vous, j'ai fait une manip et je me demande si ca vient pas de la; j'ai juste ajouté l'icone de fusion dans le tableau de bord. Je ne pense pas que ca soit à l'origine de la correction du bug, mais bon, sait-on jamais smile


edit; si jamais lorsque vous faites tourner le cube et que ca met du temps à revenir en place, pas de panique c'est normal; il suffit d'augmenter la vitesse de l'effet 3D dans ccsm. Contrairement à Beryl, ou c'etait les fenêtres qui avancaient, maintenant, c'est le cube qui recule. Si vous comprenez pas (je peux pas vous en vouloir il est 5h15 et j'ai du mal a m'exprimenter correctionnément ^^), vous comprendrez aprés avoir changer la vitesse de l'effet 3D ^^

Dernière modification par m3ta-x (Le 30/08/2007, à 05:15)

Hors ligne

#624 Le 05/09/2007, à 14:45

sirius10

Re : Compiz-Fusion (ex installation Compcomm)

bonjour,
J ai compiz fusion d installer sur Feisty.. Mon pb zqt que j ai activé le cube avec changement d'espace de travail en cliquant sur la roulette de la manette donc pour ca pas de soucis mais parcontre des que j allume firefox et que je veux créer un nouvel onglet avec la roulette (en appuyant dessus) c est le cube qui apprait...COmment puis je faire pour parametrer ce sty deux choses???

Merci de vos réponses


"Pour ce qui est de l'Avenir, il ne s’agit pas de le prévoir, mais de le rendre possible."     
Antoine de Saint-Exupéry

Hors ligne

#625 Le 05/09/2007, à 16:55

jdefaver

Re : Compiz-Fusion (ex installation Compcomm)

Bonjour,

Qqn sait il si il y a moyen d'utiliser les depots de trevino sous gutsy ? Chez moi il plante au demarrage a cause d'un symbole indéfini dans ccp...

Hors ligne